services:
  nextcloud:
    command:
    - apache2-foreground
    container_name: nextcloud
    entrypoint:
    - /entrypoint.sh
    environment:
      APACHE_BODY_LIMIT: '1073741824'
      APACHE_CONFDIR: /etc/apache2
      APACHE_ENVVARS: /etc/apache2/envvars
      GPG_KEYS: '***SENSITIVE_VALUE*** (1198...)'
      MYSQL_DATABASE: nextcloud1
      MYSQL_HOST: nextcloud-db
      MYSQL_PASSWORD: '***SENSITIVE_VALUE*** (Your...)'
      MYSQL_USER: nextcloud
      NEXTCLOUD_TRUSTED_DOMAINS: localhost,nextcloud.local,192.168.50.66,100.98.144.95,
      NEXTCLOUD_VERSION: 31.0.8
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      PHPIZE_DEPS: "autoconf \t\tdpkg-dev \t\tfile \t\tg++ \t\tgcc \t\tlibc-dev \t\
        \tmake \t\tpkg-config \t\tre2c"
      PHP_ASC_URL: https://www.php.net/distributions/php-8.3.24.tar.xz.asc
      PHP_CFLAGS: -fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
      PHP_CPPFLAGS: -fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
      PHP_INI_DIR: /usr/local/etc/php
      PHP_LDFLAGS: -Wl,-O1 -pie
      PHP_MEMORY_LIMIT: 512M
      PHP_OPCACHE_MEMORY_CONSUMPTION: '128'
      PHP_SHA256: 388ee5fd111097e97bae439bff46aec4ea27f816d3f0c2cb5490a41410d44251
      PHP_UPLOAD_LIMIT: 512M
      PHP_URL: https://www.php.net/distributions/php-8.3.24.tar.xz
      PHP_VERSION: 8.3.24
      REDIS_HOST: nextcloud-redis
    image: nextcloud:latest
    networks:
    - nextcloud-internal
    ports:
    - 8080:80/tcp
    restart: unless-stopped
    stop_signal: SIGWINCH
    volumes:
    - /srv/mergerfs/DataPool/nextcloud/data:/var/www/html:rw
    - /srv/mergerfs/DataPool/nextcloud/config:/var/www/html/config:rw
    - /srv/mergerfs/DataPool/nextcloud/custom_apps:/var/www/html/custom_apps:rw
    - /srv/mergerfs/DataPool/nextcloud/themes:/var/www/html/themes:rw
    working_dir: /var/www/html
